<?
$result_receptor=mssql_query("SELECT receptores.* FROM receptores,cotizaciones WHERE cotizaciones.cve_cotizacion ='".$row_factura["cve_cotizacion"]."' AND receptores.csc=cotizaciones.cve_cliente",$conexion)or die("dibujar_facturavd.php linea 2");
$row_receptor=mssql_fetch_assoc($result_receptor);
mssql_free_result($result_receptor);

$result_registros=mssql_query("SELECT * FROM cot_registros WHERE cve_cotizacion='".$row_factura["cve_cotizacion"]."'",$conexion);
$row_registros=mssql_fetch_assoc($result_registros);
mssql_free_result($result_registros);

$result_cotizacion=mssql_query("SELECT * FROM cotizaciones WHERE cve_cotizacion='".$row_factura["cve_cotizacion"]."'",$conexion);
$row_cotizacion=mssql_fetch_assoc($result_cotizacion);
mssql_free_result($result_cotizacion);

//$tipoCambio = ($row_factura['version']=="2.0")?$row_cotizacion["imp_tc"]:1; //  esquema 2012
$tipoCambio	= $row_cotizacion["imp_tc"];
$result_complemento=mssql_query("SELECT * FROM conector_complemento WHERE cve_cotizacion='".$row_factura["cve_cotizacion"]."'",$conexion);
$row_complemento=mssql_fetch_assoc($result_complemento);
mssql_free_result($result_complemento);

$query_detalle="SELECT * FROM detalle_cotizacion WHERE cve_cotizacion='".$row_factura["cve_cotizacion"]."'";
$result_detalle=mssql_query($query_detalle,$conexion);
unset($data);$descto=0;$suma=0;$subtotal1=0;$i=0;$haydetalle=true;$haypedimentos=false;
while ($row_detalle=mssql_fetch_assoc($result_detalle))
{
 //for ($i = 1; $i<50;$i++)
 //{
  $data[]=array(
    //$i,
	number_format($row_detalle["cantidad"],3),
	$row_detalle["des_unidadmedida"],
	$row_detalle["des_comentarios_partida"], 
	"$".number_format($row_detalle["preciounitario"],2), //"$".number_format($row_detalle["preciounitario"]/$row_cotizacion["imp_tc"],2), ////  esquema 2012
	"$".number_format($row_detalle["valormaterial"],2),//"$".number_format($row_detalle["valormaterial"]/$row_cotizacion["imp_tc"],2),////  esquema 2012
	);
  //}
  if(!$haypedimentos && !empty($row_detalle["ia_documentoaduana"]) && !empty($row_detalle["ia_fecha_expedicion"]) && !empty($row_detalle["ia_aduana"])){
    $haypedimentos = true;
  }
}
mssql_free_result($result_detalle);

/*$result_valor_iva = mssql_query("SELECT * FROM parametros WHERE cve_parm=1",$conexion);
$row_valor_iva = mssql_fetch_assoc($result_valor_iva);
$valor_iva = number_format($row_valor_iva['valor'],2);
mssql_free_result($result_valor_iva);*/


$result_moneda = mssql_query("SELECT * FROM monedas WHERE des_siglas='".$row_cotizacion['cve_moneda']."'",$conexion)or die("dibujar_facturavd.php linea 46");
$row_moneda = mssql_fetch_assoc($result_moneda);
$siglasmoneda = $row_moneda['des_siglas'];
mssql_free_result($result_moneda);

//****************************** datos del emisor y de la factura *********************
$_1 = $row_factura["receptornombre"];// Nombre del emisor del CFD
$_2 = $row_factura['serie'];// serie
$_3 = ($row_factura['tipodecomprobante']=="ingreso")?"FACTURA":"NOTA DE CRÉDITO";
$_4 = $row_cotizacion['cve_cliente']; // Número de cliente
$_5 = $row_factura['fecha'];//fecha
$_6 = $row_factura['receptorrfc'];// RFC del cliente
$_7 = $row_factura['receptorcalle']." ".$row_factura['receptornoexterior']." ".$row_factura['receptornointerior']; //Calle numero
$_8 = $row_factura['xml'];// ARCHIVO XML
$_9 = $row_factura['folio'];//folio de la factura
$_10 = $row_factura['receptorcolonia'];//colonia
$_11 = $row_factura['receptorestado']; // estado
$_12 = $row_factura['receptormunicipio']; // Ciudad de expedición
$_13 = $row_registros['expedidomunicipio'].", ".$row_registros['expedidoestado'];; // LUGAR DE EXPEDICIÓN
$_14 = $row_factura['receptorcodigopostal'];// CP
$_15 = trim($row_factura['cve_cotizacion']); // Clave factura
$_19 = $row_factura['receptorpais'];// Pais del receptor
$_26 = $row_cotizacion['letras']; // Importe con letra
$_28 = "$".number_format($row_cotizacion["imp_retencion"]/$row_cotizacion['imp_tc'],2); // Retencion 4%
$_31 = $row_factura['sellodigital'];// Sello digital
$_32 = $row_factura['cadenaoriginal'];// Cadena Original
$_33 = $row_factura['noaprobacion'];// Número de aprobación
$_34 = $row_factura['anoaprobacion'];// Año de aprobación
$_35 = $row_factura['formadepago'];// forma de pago
$_36 = $row_factura['version']; //version
$_37 = $row_factura['nocertificado'];// Certificado
$_40 = "$".number_format($row_cotizacion['imp_subtotal'],2);//subtotal$_40 = "$".number_format($row_cotizacion['imp_subtotal']/$row_cotizacion["imp_tc"],2);//subtotal//  esquema 2012
$_41 = "$".number_format($row_cotizacion['imp_iva'],2);//iva$_41 = "$".number_format($row_cotizacion['imp_iva']/$row_cotizacion['imp_tc'],2);//iva//  esquema 2012
$_42 = "$".number_format($row_factura['total'],2);//total$_42 = "$".number_format($row_factura['total']/$row_cotizacion['imp_tc'],2);//total//  esquema 2012
$_43 = $row_registros['fecha'];//fecha y hora
$_44 = $row_registros['version'];//version
$_45 = $row_registros['serie'];//serie
$_46 = $row_registros['folio'];//folio
//$_47 = $row_registros['nocertificado'];//certificado de sello digital
$_48 = $row_registros['anoaprobacion'];//año de aprobación
$_49 = $row_registros['noaprobacion'];//número de arobación
$_50 = $row_registros['cadenaoriginal'];//cadena original
$_51 = $row_registros['sellodigital'];//sello digital
$_52 = $row_registros['xml'];//xml  (CFD)
$_53 = $row_complemento['numerodeconsignatario']; // CLAVE CONSIGNATARIO
$_54 = $row_complemento['numentrega']; // NUM ENTREGA
$_55 = $row_complemento['nombreconsignatario']; // CONSIGNATARIO
$_56 = $row_complemento['nombrecltefinal']; //CLIENTE FINAL
$_57 = $row_complemento['numtransporte']; // NUM. TRANSPORTE
$_58 = $row_complemento['numero']; // NUMERO
$_59 = $row_complemento['fechaemision']; // FECHA DE EMISION
$_60 = $row_complemento['numunidad']; // NUM. UNIDAD
$_61 = $row_complemento['lineatrasnportista']; // LINEA TRANSPORTISTA
$_62 = $row_complemento['fechafactura']; // FECHA
$_63 = $row_complemento['via']; // VIA
$_64 = $row_complemento['condicionflete']; // CONDICION DE FLETE
$_65 = $row_complemento['fechaentrega']; // FECHA ENTREGA
$_66 = $row_complemento['tipodecambio']; // TIPO DE CAMBIO
$_67 = $row_complemento['aduana']; // ADUANA
$_68 = $row_complemento['pesoreal']; // PESO REAL
$_69 = $row_complemento['destino']; // DESTINO
$_70 = $row_complemento['condiciondeventa']; // CONDICIÓN DE VENTA
$_71 = $row_complemento['centro']; // CENTRO
$_72 = $row_complemento['almacen']; // ALMACEN
$_73 = $row_complemento['tipovalorizacion']; // TIPO DE VALORIZACIÓN (VALORIZADO EN....)
$_74 = $row_complemento['tipomoneda']; // VALOR EN MONEDA (PRECIO UNITARIO EN......)
$_75 = $row_complemento['numeroclientefinal']; // NUMERO DE CLIENTE FINAL
$_76 = $row_complemento['direccion1consig']; // DIRECCION 1 DEL CONSIGNATARIO
$_77 = $row_complemento['direccioncltefinal']; // DIRECCIÍN 1 DEL CLIENTE FINAL
$_78 = $row_complemento['direccion2consig']; // DIRECCION 2 DEL CONSIGNATARIO
$_79 = $row_complemento['direccion2cltefinal']; // DIRECCION 2 DEL CLIENTE FINAL
$_80 = $row_complemento['coloniacltefinal']; // COLONIA DEL CLIENTE FINAL
$_81 = $row_complemento['ciudadedopaisconsig']; // CIUDAD, ESTADO Y PAIS DEL CONSIGNATARIO
$_82 = $row_complemento['rfcclientefinal']; // RFC DEL CLIENTE FINAL
$_83 = $row_complemento['condiciondepago']; // CONDICION DE PAGO
$_84 = $row_complemento['cliente_proveedor']; //CLIENTE PROVEEDOR
$_85 = $row_complemento['metroscububicos']; // METROS CUBICOS
$_86 = $row_complemento['totalcantidadvalorizada']; // TOTAL CANTIDAD VALORIZADA
$_87 = $row_complemento['totaltoneladas']; // TOTAL TONELADAS
$_88 = $row_complemento['referencia']; // REFERENCIA
$_89 = number_format($row_cotizacion["pct_iva"],0); 
$_90 = str_replace("|","\n",$row_complemento['leyendas']);
$_91 = $row_cotizacion['metododepago']; // Método de Pago;
$_92 = $row_cotizacion['numctapago']; // Cuenta de Pago;
$_93 = "Régimen General de Ley Personas Morales";
$_95 = trim($row_factura['uuid']);
$_96 = "?re=".$row_factura['emisorrfc']."&rr=".$row_factura['receptorrfc']."&tt=".number_format($row_cotizacion['imp_total'],6,".","")."&id=$_95";
$_97 = $row_factura['fechatimbrado'];
$_98 = $row_factura['nocertificadosat'];
$_99 = $row_factura['sellosat'];
$ambiente=$ambiente;
/*$_94 = 
$_95 = 
$_96 = 
$_97 = 
$_98 = 
$_99 = 
$_100 = 
$_101 = 

$_13 = $row_factura['expedidoestado']; // Ciudad de expedición
$_15 = $row_factura['tipodecomprobante'];
$_16 = number_format($row_cotizacion['imp_tc'],2);
$_17 = "$".number_format($row_cotizacion['imp_descuento']/$row_cotizacion['imp_tc'],2); // IVA
$_18 = (" CP ".$row_factura['receptorcodigopostal']." ".$row_factura['receptorcolonia']." ".$row_factura['receptormunicipio']); // Colonia y ciudad del receptor
$_25 = "$".number_format($row_cotizacion["imp_subtotal"]/$row_cotizacion['imp_tc'],2); // Total
$_27 = "$".number_format($row_cotizacion['imp_iva']/$row_cotizacion['imp_tc'],2); // IVA
$_30 = "$".number_format($row_cotizacion["total_usd"],2); // Total
$_30 = "$".number_format($row_cotizacion["imp_total"]/$row_cotizacion['imp_tc'],2); // Total

*/

require_once 'clasevd.php';
$pdf=new PDF('L','mm','Letter');
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Arial','B',10);
$pdf->SetFillColor(201, 201, 201);

include 'qrcode.class.php';
$qrcode = new QRcode($_96);
$qrcode->disableBorder();

$w = array(25,25,150,34.4,25);

  $pdf->Cell($w[0],10,"CANTIDAD",1,0,'C');
  $pdf->Cell($w[1],10,"UNIDAD",1,0,'C');
  $pdf->Cell($w[2],10,"CONCEPTO",1,0,'C');
  $pdf->Cell($w[3],10,"PRECIO UNITARIO",1,0,'C');
  $pdf->Cell($w[4],10,"IMPORTE",1,1,'C');

$pdf->SetFont('','',7);

$y=$pdf->GetY();
foreach($data as $detalle)
{
  $pdf->Cell($w[0],3,$detalle[0],0,0,'C');
  $pdf->Cell($w[1],3,$detalle[1],0,0,'C');
  $pdf->SetX($w[0]+$w[1]+$w[2]+10);
  $pdf->Cell($w[3],3,$detalle[3],0,0,'R');
  $pdf->Cell($w[4],3,$detalle[4],0,0,'R');
  $pdf->SetX($w[0]+$w[1]+10);
  $pdf->MultiCell($w[2],3,str_replace("|","\n",$detalle[2]),0,'L');
}

while ($i <=5)
{
$i++;
  $pdf->Cell($w[0],3,"",0,0,'C');
  $pdf->Cell($w[1],3,"",0,0,'C');
  $pdf->Cell($w[2],3,"",0,0,'L');
  $pdf->Cell($w[3],3,"",0,0,'R');
  $pdf->Cell($w[4],3,"",0,1,'R');

}
$pdf->SetX(10+$w[0]+$w[1]);
$pdf->MultiCell($w[2],3,"$_90",0,'L');
$y2 = $pdf->GetY();
$pdf->Line(10,$y,10,$y2);
$pdf->Line(10+$w[0],$y,10+$w[0],$y2);
$pdf->Line(10+$w[0]+$w[1],$y,10+$w[0]+$w[1],$y2);
$pdf->Line(10+$w[0]+$w[1]+$w[2],$y,10+$w[0]+$w[1]+$w[2],$y2);
$pdf->Line(10+$w[0]+$w[1]+$w[2]+$w[3],$y,10+$w[0]+$w[1]+$w[2]+$w[3],$y2);
$pdf->Line(10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4],$y,10+$w[0]+$w[1]+$w[2]+$w[3]+$w[4],$y2);

$pdf->Cell(0,0,"",'T',1,'C');

$pdf->SetFont('','B',7);
$pdf->Cell(200,4,"IMPORTE TOTAL:",'LB',0,'L');
$pdf->Cell(34.4,4,"SUB-TOTAL $",'B',0,'R');
$pdf->Cell(25,4,"$_40",'BR',1,'R');
$pdf->Cell(234.4,4,"I.V.A. ".$_89."% $",'L',0,'R');
$pdf->Cell(25,4,"$_41",'R',1,'R');
$pdf->Cell(200,4,"(CANTIDAD CON LETRA)",'L',0,'L');
//$pdf->Cell(34.4,6,"I.V.A. Retenido".$_89."% $",0,0,'R');
$pdf->Cell(34.4,4,"I.V.A. Retenido 16% $",0,0,'R');
$pdf->Cell(25,4,"$_28",'R',1,'R');
$pdf->Cell(200,4,"$_26",'LB',0,'L');
$pdf->Cell(34.4,4,"IMPORTE TOTAL $",B,0,'R');
$pdf->Cell(25,4,"$_42",'RB',0,'R');
$pdf->Ln(11);
$pdf->SetX(52);
$pdf->Cell(40,6,"RECIBIDO",'T',0,'C');
$pdf->SetX(130);
$pdf->Cell(40,6,"APROBADO",'T',1,'C');

/*$pdf->Cell(25+$w[0]+$w[1]+$w[2],3,"CADENA ORIGINAL",1,1,'L',1);
$pdf->MultiCell(25+$w[0]+$w[1]+$w[2],3,"$_50",1,'L');
$pdf->Cell(25+$w[0]+$w[1]+$w[2],3,"SELLO DIGITAL",1,1,'L',1);
$pdf->MultiCell(25+$w[0]+$w[1]+$w[2],3,"$_51",1,'L');
$pdf->Cell(25+$w[0]+$w[1]+$w[2],3,"SELLO DIGITAL DEL SAT",1,1,'L',1);
$pdf->MultiCell(25+$w[0]+$w[1]+$w[2],3,"$_99",1,'L');*/

$qrcode->displayFPDF($pdf,240,176,0.8,array(255,255,255),array(0,0,0));

/*
$salto = 1;

$elmasgrande = max(sizeof($matriz1),sizeof($matriz2),sizeof($matriz3));

for($i=0;$i<$elmasgrande;$i++)
{
	unset($temp1);
	$temp1 = explode("|",$matriz2[$i]);
	
	$pdf->Cell(158,4,$matriz1[$i],0,0,'L');		
	$pdf->Cell(35,4,$temp1[0],0,0,'R');
	$pdf->Cell(15,4,$temp1[1],0,0,'R');
	unset($temp1);
	$temp1 = explode("|",$matriz3[$i]);
	$pdf->Cell(35,4,$temp1[0],0,0,'R');
	$pdf->Cell(15,4,$temp1[1],0,1,'R');

}


$pdf->Ln();

$pdf->Cell(50,4,"MADE IN MEXICO",0,0,'C');
$pdf->Cell(50,4,"ALTOS HORNOS DE MEXICO, S.A. DE C.V.",0,0,'L');
$pdf->SetFont('','B');
$pdf->Cell(105,4,"IMPORTE TOTAL   $_86",0,0,'R');
$pdf->Cell(10,4,"$_87",0,0,'R');
$pdf->Cell(44.4,4,"$_42",0,1,'R');
$pdf->SetFont('');
//$pdf->Cell(0,2,"",'T',1,'C');

$pdf->Cell(0,3,"CADENA ORIGINAL",1,1,'L',1);
$pdf->MultiCell(0,3,"$_50",1,'L');
$pdf->Cell(0,3,"SELLO DIGITAL",1,1,'L',1);
$pdf->MultiCell(0,3,"$_51",1,'L');
$pdf->Ln();
$pdf->Cell(0,3,"REG. INDUSTRIA DEL HIERRO Y DEL ACERO NUM.1 PARA EFECTOS DE FACTURACIÓN RIGEN INVARIABLEMENTE LOS PESOS EN NUESTRAS BASCULAS",0,1,'L');
$pdf->Ln();
$pdf->MultiCell(0,3,"*RECIBI(MOS) LAS MERCANCIAS DESCRITAS EN ESTA FACTURA DE CONFORMIDAD Y PROMETEMOS PAGAR A LA ORDEN DE ALTOS HORNOS DE MEXICO, S.A. DE C.V. EL IMPORTE ESTABLECIDO DE LA MISMA CONTRA LA PRESENTACIÓN Y ENTREGA DE ESTA FACTURA; ASIMISMO RECONOCEMOS Y ACEPTAMOS QUE DE NO SER PAGADA A SU VENCIMIENTO, CAUSARÁ INTERÉS A RAZON DE 3% (TRES PORCIENTO) MENSUAL, SIN QUE POR ESTO SEA PRORROGADO EL PLAZO DE PAGO ESTABLECIDO, ADEMÁS, IGUALMENTE RECONOCEMOS Y ACEPTAMOS QUE SE COBRARÁ EL 20% (VEINTE PORCIENTO) SOBRE CHEQUE DEVUELTO SEGÚN ARTÍCULO 193 DE LA LEY GENERAL DE TÍTULOS Y OPERACIONES DE CRÉDITO.*",0,'L');

*/
//$pdf->Cell(0,3,"FACTURA",1,1,'C');
?>